local bt=60/127 --beattime, 60 seconds over 127 bpm


return Def.ActorFrame{

	InitCommand=function(self)

		self:sleep(9999)

		--SCREENMAN:SystemMessage("hey")

	end,

	

	Def.Sprite{

		Name="king",

		Texture="../_Graphics/harkinian",

		InitCommand=function(self)
			self:SetStateProperties({

				{Frame=0,Delay=bt*0.1},

				{Frame=1,Delay=bt*0.1},

				{Frame=2,Delay=bt*0.1},

				{Frame=3,Delay=bt*0.1},

				{Frame=4,Delay=bt*0.1},

				{Frame=5,Delay=bt*0.1},

				{Frame=6,Delay=bt*0.1},

				{Frame=7,Delay=bt*0.1},

				{Frame=8,Delay=bt*0.1},

				{Frame=9,Delay=bt*0.1},

				{Frame=8,Delay=bt*0.1},

				{Frame=7,Delay=bt*0.1}
				

			})

			:zoom(1.5):xy(SCREEN_WIDTH+300,SCREEN_HEIGHT-120)
		end, --InitCommand()
		

		OnCommand=function(self)

			self:decelerate(bt*0.4):x(80)

			:sleep(bt*0.4)

			:accelerate(bt*0.6):x(SCREEN_WIDTH+300)

		end --OnCommand()

		
	} --Def.Sprite harkinian

}
--[[
			
]]--